<?xml version="1.0" encoding="utf-8"?>
<window screenLeft="0" screenTop="0" width="418" height="220" titleBar="false" resizeMargins="0,0,0,0" maximizable="false" onload="WindowOnLoad();" onclose="WindowOnClose();" minWidth="418" minHeight="220" maxWidth="418" maxHeight="220">
	<script src="common.js" />
	<script src="NewDownloadTask.xml.js" />	
	<subwindow left="0" top="0" width="418" height="220">
		<!-- top left -->
		<subwindow left="0" top="0" width="80" height="27" backgroundImage="bg_left_top.bmp" clippingColor="#FF00FF" />
		<!-- top -->
		<subwindow left="80" top="0" width="330" height="27" backgroundImage="bg_top.bmp" clippingColor="#FF00FF" horizontalAlignment="stretch" backgroundImageStretchMode="stretch" backgroundColor="#000000"/>
		<!-- top right -->
		<subwindow left="410" top="0" width="8" height="27" backgroundImage="bg_right_top.bmp" clippingColor="#FF00FF" horizontalAlignment="right"/>
		<!-- right -->
		<subwindow left="416" top="27" width="2" height="191" backgroundImage="bg_right.bmp" clippingColor="#FF00FF" horizontalAlignment="right" verticalAlignment="stretch" backgroundImageStretchMode="stretch" backgroundColor="#FF0000" />
		<!-- bottom right -->
		<subwindow left="416" top="218" width="2" height="2" backgroundImage="set_bg_right_bot.bmp" clippingColor="#FF00FF" horizontalAlignment="right" verticalAlignment="bottom" />
		<!-- bottom -->
		<subwindow left="2" top="218" width="414" height="2" backgroundImage="set_bg_bot.bmp" clippingColor="#FF00FF" horizontalAlignment="stretch" verticalAlignment="bottom"  backgroundImageStretchMode="stretch" backgroundColor="#000000"/>
		<!-- bottom left -->
		<subwindow left="0" top="218" width="2" height="2" backgroundImage="set_bg_left_bot.bmp" clippingColor="#FF00FF" horizontalAlignment="left" verticalAlignment="bottom" />
		<!-- left -->
		<subwindow left="0" top="27" width="2" height="191" backgroundImage="bg_left.bmp" clippingColor="#FF00FF" horizontalAlignment="left" verticalAlignment="stretch" backgroundImageStretchMode="stretch" backgroundColor="#000000"/>
		<!-- center -->
		<subwindow left="2" top="27" width="414" height="191" horizontalAlignment="stretch" verticalAlignment="stretch" backgroundColor="#FFFFFF">
			<!-- 文件名 -->
			<label left="16" top="16" width="54" height="22" value="文件名" backgroundColor="#FFFFFF" passThrough="true" textAlignment="right vcenter"/>
			<textbox id="txtFile" left="80" top="16" width="220" height="22" emptyText="" disabled="true"/>
			<!-- 保存到 -->
			<label left="16" top="46" width="54" height="22" value="保存到" backgroundColor="#FFFFFF" passThrough="true" textAlignment="right vcenter"/>
			<textbox id="txtPath" left="80" top="46" width="220" height="22" emptyText="" onchanged="verifyFreeDiskSpace();" onblur="if($('txtPath').value.length==0)$('txtPath').value=$('txtPath').emptyText" limitText="240"/>
			<!-- 另存名称 -->
			<label left="16" top="76" width="54" height="22" value="另存名称" backgroundColor="#FFFFFF" passThrough="true" textAlignment="right vcenter"/>
			<textbox id="txtSave" left="80" top="76" width="220" height="22" emptyText="" limitText="240" onblur="if($('txtSave').value.length==0)$('txtSave').value=$('txtSave').emptyText"/>
			<label id="lblSaveError" left="320" top="76" width="80" height="22" value="" backgroundColor="#FFFFFF" passThrough="true" textAlignment="left vcenter" foregroundColor="#FF7200"/>
			
			<!-- 浏览按钮 -->
			<button id="btnBrowser" left="320" top="44" width="70" height="27" image="button.png" hoverImage="button_hover.png" downImage="button_down.png" onclick="var file= SelectFolder(); if (file.length > 0) $('txtPath').value = file;" label="浏览..." textAlignment="center vcenter" disabledForegroundColor="#999999"/>

			<!-- 目标文件大小 -->
			<label left="6" top="115" width="82" height="22" value="目标文件大小：" backgroundColor="#FFFFFF" passThrough="true" textAlignment="left vcenter" foregroundColor="#999999"/>
			<label id="lblFileSize" left="88" top="115" width="62" height="22" value="未知" backgroundColor="#FFFFFF" passThrough="true" textAlignment="left vcenter" foregroundColor="#000000"/>

			<!-- 目标磁盘可用空间 -->
			<label id="lblDisk" left="150" top="115" width="108" height="22" value="目标磁盘可用空间：" backgroundColor="#FFFFFF" passThrough="true" textAlignment="left vcenter" foregroundColor="#999999"/>
			<label id="lblDiskSize" left="258" top="115" width="62" height="22" value="未知" backgroundColor="#FFFFFF" passThrough="true" textAlignment="left vcenter" foregroundColor="#000000"/>
			<label id="lblDiskError" left="320" top="115" width="80" height="22" value="" backgroundColor="#FFFFFF" passThrough="true" textAlignment="left vcenter" foregroundColor="#FF7200"/>
				
			<!-- 传说中的分割线 -->
			<label left="6" top="142" width="404" height="1" backgroundColor="#CCCCCC" passThrough="true" textAlignment="left vcenter"/>
		
			<!-- 确定和取消 -->
			<button left="127" top="153" width="70" height="27" image="button.png" hoverImage="button_hover.png" downImage="button_down.png" onclick="onok();" label="确定" textAlignment="center vcenter"/>
			<button left="217" top="153" width="70" height="27" image="button.png" hoverImage="button_hover.png" downImage="button_down.png" onclick="oncancel();" label="取消" textAlignment="center vcenter"/>
		</subwindow>		
		<!-- minisize button -->
		<button left="358" top="0" width="26" height="23" image="min.bmp" hoverImage="min_hover.bmp" downImage="min_down.bmp" tooltip="最小化" onclick="window.sizemode=1;"/>
		<!-- close button -->
		<button left="382" top="0" width="26" height="23" image="close.bmp" hoverImage="close_hover.bmp" downImage="close_down.bmp" onclick="window.close();" tooltip="关闭"/>
		<label id="windowTitle" left="75" top="4" width="241" height="18" value="新建下载任务" fontFace="Arial"  fontSize="13"  foregroundColor="#F0F8FF" passThrough="true" textAlignment="left vcenter" fontStyle="bold"/>
	</subwindow>
</window>